Subject: Re: What's cooking in git.git (Apr 2023, #03; Tue, 11)

From: Victoria Dye <[email-masked]>
Date: Thu, 13 Apr 2023 15:19:13 -0700

Junio C Hamano wrote:
> * rn/sparse-diff-index (2023-04-10) 1 commit
>  - diff-index: enable sparse index
> 
>  "git diff-index" command has been taught to work better with the
>  sparse index.
> 
>  Comments?
>  source: <[email-masked]>

I just sent a review of the newest version [1] with some minor nits &
questions that may prompt a re-roll (depending on the author's/others'
thoughts).

[1] https://lore.kernel.org/git/[email-masked]/

> * rn/sparse-describe (2023-04-03) 1 commit
>  - describe: enable sparse index for describe
> 
>  "git describe --dirty" learns to work better with sparse-index.
> 
>  Will merge to 'next'?
>  source: <[email-masked]>

This looks good to me, agreed that it's ready for 'next'.

> * sl/sparse-write-tree (2023-04-04) 1 commit
>   (merged to 'next' on 2023-04-10 at 0cd39c23b1)
>  + write-tree: integrate with sparse index
> 
>  "git write-tree" learns to work better with sparse-index.
> 
>  Will merge to 'master'.
>  source: <[email-masked]>

Sorry for getting to this one so late - I did have some comments [2] on the
tests in this patch that weren't addressed. However, I'm fairly certain the
integration itself is correct, so I may just submit the test updates as a
separate patch in the (near-ish?) future.

[2] https://lore.kernel.org/git/[email-masked]/

> * sl/diff-files-sparse (2023-03-22) 2 commits
>  - diff-files: integrate with sparse index
>  - t1092: add tests for `git diff-files`
> 
>  Teach "diff-files" not to expand sparse-index unless needed.
> 
>  Comments?
>  source: <[email-masked]>

I also just sent a review for this one [3] [4], with similar nits &
questions to those in the 'diff-index' integration.

[3] https://lore.kernel.org/git/[email-masked]/
[4] https://lore.kernel.org/git/[email-masked]/